Subject: bug#5997: migration emacs 22.3 to 23.1

From: Jerzy Gbur <[email-masked]>
Date: Wed, 21 Apr 2010 15:42:30 +0200

Hi
I use emacs for VHDL (vhdl-mode) coding mostly.
After I updated emacs from version 22.3 to 23.1 have problem with
vhdl-comment-uncomment-region function.

Earlier I marked region and did \C-c \C-c, and region was commented or
uncommented. Comment marks '--' were placed on the first column no
matter where code text were started.

In this version (23.1) comment marks are inserted just before code
text without any spaces, and vhdl-comment-uncomment-region function
doesn't know that this row is commented or no, so it makes new comment
and so on....

Regards,

Jerzy Gbur